diff --git a/lib/DBIx/Error.pm b/lib/DBIx/Error.pm
index f6daa05..4dbed76 100644
--- a/lib/DBIx/Error.pm
+++ b/lib/DBIx/Error.pm
@@ -297,6 +297,18 @@ sub exception_action {
   return sub {
     my $msg = shift;
 
+
+my $class_of_msg;
+my $desc = (length ref $msg)
+  ? sprintf( '%s%s(0x%x)',
+    ( defined( $class_of_msg = Scalar::Util::blessed $msg) ? "$class_of_msg=" : '' ),
+    Scalar::Util::reftype($msg),
+    Scalar::Util::refaddr($msg),
+  )
+  : $msg
+;
+Carp::cluck("\n\n\nI got called with $desc\n  ");
+
     # Clear the stored DBI exception
     my $underlying_exception = $last_dbi_exception;
     undef $last_dbi_exception;
